stages:
  - upload_to_lakefs
  - process_files

variables:
  LAKEFS_SSH_KEY: $LAKEFS_SSH_KEY

upload_to_lakefs:
  stage: upload_to_lakefs
  image: alpine
  before_script:
    - apk add openssh-client
    - echo "$LAKEFS_SSH_KEY" > id_rsa
    - chmod 600 id_rsa
  script:
    - ssh-keyscan -t rsa lakefs_host >> ~/.ssh/known_hosts
    - ssh -i id_rsa user@lakefs_host 'lakectl fs upload local/data/file_1_v1.txt lakefs://myrepo/path/file_1_v1.txt'
    - ssh -i id_rsa user@lakefs_host 'lakectl fs upload local/data/file_1_v2.txt lakefs://myrepo/path/file_1_v2.txt'

process_files:
  stage: process_files
  image: python:3.8
  script:
    - pip install apache-airflow  # Устанавливаем Apache Airflow
    - airflow initdb  # Инициализируем базу данных Airflow
    - airflow scheduler &  # Запускаем планировщик Airflow в фоновом режиме
    - airflow webserver &  # Запускаем веб-сервер Airflow в фоновом режиме
    - sleep 30  # Ждем, чтобы Airflow успел инициализироваться
    - airflow dags unpause lakefs_pipeline  # Разрешаем выполнение пайплайна
    - airflow trigger_dag lakefs_pipeline  # Запускаем пайплайн lakefs_pipeline
    - sleep 60  # Ждем завершения пайплайна (можно настроить более точно)
    - airflow webserver -k shutdown  # Останавливаем веб-сервер Airflow
    - airflow scheduler -k shutdown  # Останавливаем планировщик Airflow
